DUET PlatformDocs
API referenceRead APIIngest

Complete a file upload

available
POST
/platform/v1/ingest/file-upload/complete

Authorization

Bearer
headerAuthorizationBearer <token>

Header Parameters

Accept*"application/json"
Value in"application/json"

Request Body

application/json
  1. body
project_id*string
filename*string
upload_id*string
parts*array<>

Response Body

DUET completed the multipart upload.

application/json
  1. response
ok*boolean
Example Request
curl -X POST 'https://api.enurgen.com/platform/v1/ingest/file-upload/complete' \  -H 'Accept: application/json' \  -H 'Content-Type: application/json' \  -d '{  "project_id": "string",  "filename": "string",  "upload_id": "string",  "parts": [    {      "part_number": 0,      "e_tag": "string"    }  ]}'
Example Response
{  "ok": true}